﻿import QtQuick 2.12
import QtQuick.Window 2.12
import QtQuick.Controls 2.5
import TestTableModel 1.0

Window {
	visible: true
	width: 640
	height: 480
	title: qsTr("Hello World")

	TableView {
		id: tv

		anchors.fill: parent

		clip: true
		columnWidthProvider: function (column) { return 100; }
		rowHeightProvider: function (column) { return 25; }

		ScrollBar.vertical: ScrollBar {
			minimumSize: 0.1
			width: 10
		}
		ScrollBar.horizontal: ScrollBar {
			minimumSize: 0.1
			height: 10
		}

		delegate: Text {
			textFormat: Text.PlainText
			text: modelData
		}

		model: TestTableModel {

		}
	}
	
	Rectangle {
		anchors {
			top: parent.top
			left: parent.left
			right: parent.right
		}
		height: 40
		color: "red"

		MouseArea {
			anchors.fill: parent

			onReleased: {
				tv.flick(0, -100000000);
			}
		}
	}
}
